X2Go Bug report logs - #511
Cannot resume session, automatically suspends after connecting

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Wim De Smet <kromagg@gmail.com>

Date: Thu, 5 Jun 2014 06:35:02 UTC

Severity: normal

Tags: pending

Found in version 4.0.1.15

Fixed in version 4.0.1.16

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#511; Package x2goserver. (Thu, 05 Jun 2014 06:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to Wim De Smet <kromagg@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 05 Jun 2014 06:35:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Wim De Smet <kromagg@gmail.com>
To: submit@bugs.x2go.org
Subject: Cannot resume session, automatically suspends after connecting
Date: Thu, 5 Jun 2014 08:33:25 +0200
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: 4.0.1.15

(Release: 0.0x2go1.1.git20140403.847.main.el6)

I am running x2goserver on Centos 6.x and x2goclient on the latest Ubuntu,
both completely up to date. Today I tried starting a connection from Ubuntu
while having the xinerama extension enabled. This fails with:

$ x2goclient
x2go-INFO-1> "Starting x2goclient..."
x2go-WARNING-1> "Can't load translator: :/x2goclient_nl_be"
x2go-WARNING-2> "Can't load translator: :/qt_nl_BE"
x2go-INFO-3> "Started  x2goclient."
x2go-INFO-8> "Starting connection to server: [redacted]:22"
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x520001b
x2go-WARNING-7> "Error getting window geometry (window closed)?"

I disabled the xinerama extension and tried again. Now I can open the
session, but almost as soon as it opens, the session shuts down again. No
errors are reported. The only thing that appears client side is:

x2go-INFO-8> "Starting connection to server: [redacted]:22"

In the server log (attached) nothing appears, except a few warnings about
fonts not being found and that the session is being suspended. Strangely,
sometimes I can use the session long enough to move a few windows or type
something in, but it always quietly suspends.

The version of x2goclient is 4.0.1.1-1ubuntu2
[Message part 2 (text/html, inline)]
[x2goserver.log (text/x-log, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#511; Package x2goserver. (Tue, 29 Jul 2014 05:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mario Becroft <mb@becroft.co.nz>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 29 Jul 2014 05:50:03 GMT) (full text, mbox, link).


Message #10 received at 511@bugs.x2go.org (full text, mbox, reply):

From: Mario Becroft <mb@becroft.co.nz>
To: 511@bugs.x2go.org
Subject: Cannot resume session, automatically suspends after connecting
Date: Tue, 29 Jul 2014 17:36:56 +1200
I encountered the same problem, characterised by:

1. Warning about fonts in the log.

2. Session resumes briefly but then automatically suspends after about 1
second.

3. Log messages in ~/x2go/*/session.log as follows:

---
nxagentReconnectFailedFonts: WARNING! Font server tunneling not retrieved.
nxagentReconnect: WARNING! Unable to retrieve all the fonts currently in use. Mi
ssing fonts have been replaced.
nxagentSighupHandler: WARNING! Ignoring the signal in state [SESSION_GOING_UP].
keyboard file created
Session: Session resumed at 'Tue Jul 29 17:10:00 2014'.
Info: Screen [0] resized to geometry [1920x1200] fullscreen [0].
Session: Suspending session at 'Tue Jul 29 17:10:03 2014'.
Info: Waiting the cleanup timeout to complete.
Session: Session suspended at 'Tue Jul 29 17:10:03 2014'.
---

The cause of the problem was indeed that some fonts were missing on the
client (a gentoo system). I simply installed all the font packages I
could find one at a time until the problem went away.

In my opinion, the x2go client is not capable of running with missing
fonts, despite the message indicating that missing fonts will be
replaced. I think this may be a bug.

Tested with x2goserver version 4.0.1.15 and x2goclient version 4.0.2.0.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#511; Package x2goserver. (Thu, 31 Jul 2014 02:15:02 GMT) (full text, mbox, link).


Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 31 Jul 2014 02:15:02 GMT) (full text, mbox, link).


Message #15 received at 511@bugs.x2go.org (full text, mbox, reply):

From: Reinhard Tartler <siretart@gmail.com>
To: 511@bugs.x2go.org, Wim De Smet <kromagg@gmail.com>
Subject: Re: [X2Go-Dev] Bug#511: Cannot resume session, automatically suspends after connecting
Date: Wed, 30 Jul 2014 22:13:11 -0400
I think this is a duplicate of:
http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=441

I'm a bit confused that you state that you are using x2goserver
version 4.0.1.15, which does not seem to be available for CentOS6.

Who can update the package there?

Best,
Reinhard


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#511; Package x2goserver. (Thu, 31 Jul 2014 19:15:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 31 Jul 2014 19:15:01 GMT) (full text, mbox, link).


Message #20 received at 511@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Reinhard Tartler <siretart@gmail.com>, 511@bugs.x2go.org, Wim De Smet <kromagg@gmail.com>
Subject: Re: [X2Go-Dev] Bug#511: Bug#511: Cannot resume session, automatically suspends after connecting
Date: Thu, 31 Jul 2014 19:11:30 +0000
[Message part 1 (text/plain, inline)]
Hi Reinhard,

On  Do 31 Jul 2014 04:13:11 CEST, Reinhard Tartler wrote:

> I think this is a duplicate of:
> http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=441

Can you enlarge on why you think #511 is a duplicated of #441? I don't  
see that right away.

> I'm a bit confused that you state that you are using x2goserver
> version 4.0.1.15, which does not seem to be available for CentOS6.
>
> Who can update the package there?

The official X2Go package for CentOS6 come from the EPEL-6 project.

We provide unofficial RPM builds that are similar to the EPEL-6  
provided packages [1]. Maybe it got installed from there.

[1] http://wiki.x2go.org/doku.php/wiki:repositories:epel

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#511; Package x2goserver. (Wed, 20 Aug 2014 07:55:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 20 Aug 2014 07:55:01 GMT) (full text, mbox, link).


Message #25 received at 511@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 511-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 511@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Wed, 20 Aug 2014 09:52:07 +0200 (CEST)
tag #511 pending
fixed #511 4.0.1.16
thanks

Hello,

X2Go issue #511 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=352ef5f

The issue will most likely be fixed in src:x2goserver (4.0.1.16).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 352ef5f0336c7c232cd0b4da7f4cd4a256ceac7b
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Wed Aug 20 09:52:03 2014 +0200

    add closure for #511 (fixed by commit cee4857)

diff --git a/debian/changelog b/debian/changelog
index 64e9449..d9e3e0e 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -74,7 +74,7 @@ x2goserver (4.0.1.16-0x2go1) UNRELEASED; urgency=low
   * New upstream version (4.0.1.16):
     - x2gostartagent, x2golistsession, x2gosuspend-session and x2goresume-session
       getting agent state from ~/.x2go/C-$SID/state. This should help to avoid
-      session damage. Remove nxcleanup. (Fixes: #302).
+      session damage. Remove nxcleanup. (Fixes: #302, #511).
     - Move session file to /tmp/.x2go-$USER. (Fixes: #523).
     - Fix x2gostartagent failures if kbd is not "auto". Remove comma at end of
       options file.


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 20 Aug 2014 07:55:03 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.1.16. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 20 Aug 2014 07:55:03 GMT) (full text, mbox, link).


Message sent on to Wim De Smet <kromagg@gmail.com>:
Bug#511. (Wed, 20 Aug 2014 07:55:04 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#511; Package x2goserver. (Thu, 25 Sep 2014 22:45:09 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 25 Sep 2014 22:45:09 GMT) (full text, mbox, link).


Message #37 received at 511@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 511-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 511@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Fri, 26 Sep 2014 00:42:14 +0200 (CEST)
close #511
thanks

Hello,

we are very hopeful that X2Go issue #511 reported by you
has been resolved in the new release (4.0.1.16) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.1.16)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=c43b862f2ae0e8980fb7ab5e519d692b07da5a45;hp=98c4f84d83d701823b7887f79d0d9f5ce8233bd4

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.16-0x2go1
Status: RELEASE
Date: Fri, 26 Sep 2014 00:36:32 +0200
Fixes: 122 302 397 406 407 458 468 495 506 511 520 523 524 543 547 558 569 572 573 574 599 605 606 617 619
Changes: 
 x2goserver (4.0.1.16-0x2go1) RELEASED; urgency=low
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.1.16):
     - Make X2Go Server aware of the Openbox desktop environment
       (Command: OPENBOX) (Fixes: #605)
     - Make X2Go Server aware of the IceWM desktop environment
       (Command: ICEWM) (Fixes: #606)
     - Support GNOME Flashback session (GNOME 3.8+) on distro releases such as
       Ubuntu 13.10+ and debian Jessie
       (NOTE: For most users, GNOME Flashback currently will not work.
        This requires that gnome-flashback.session actually be installed. Not
        every Linux distro has it available.
        It also requires that the gnome-session binary not require
        hardware 3D acceleration for said session. Currently, upstream GNOME
        and GNOME 3.8+ in all Linux distros do require this, only 3rd party
        builds do not. See X2Go bug #599 for example.)
       (Thanks Eugene San (eugenesan@gmail.com))
     - Fix launching GNOME 3 Fallback session (GNOME 3.4 & 3.6) on distros other
       than Ubuntu and Debian (Fixes: #599)
     - Fix support for Cinnamon 1.4 (Linux Mint 13) (Fixes: #569)
     - Fix the logic for launching Cinnamon 2.0 and 2.2 (Linux Mint 17).
       (Fixes: #572)
       NOTE: Fixing this bug in x2goserver is not sufficient to make Cinnamon 2.0
       & 2.2 to work properly with X2Go. Bug #150 in nx-libs is still a problem.
       Fixing this bug enables Cinnamon 2.0 and 2.2 to launch to their
       "fallback mode", which has many bugs and missing features when compared to
       "software rendering" mode (cinnamon2d), but is still better than nothing.
   * debian/rules:
     + Improve dh_auto_clean override.
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.1.16):
     - Let x2goversion exit with an error if the X2Go component cannot be
       found.
     - Detect terminated sessions from NX log file. Also interpret a session as
       terminated if terminating just has started.
     - Detect started/starting/resumed/resuming sessions by explicitly scanning
       the NX session log file for those keywords.
     - Interpret NX sessions marked as "aborting session" as (not yet) terminated
       sessions.
     - Provide config option for server-side/global clipboard behaviour in
       x2goagent.options. (Fixes: #506).
     - Be aware of poly-instantiated /tmp directories bind-mounted under
       /tmp-inst. (Fixes: #406).
     - On suspend: Call x2goumount-session before sending SIGHUP to x2goagent.
     - Refuse client communcation if server-side hostname is not set up
       correctly (Fixes: #468).
     - Fix string comparison in x2goumount-session.
     - Fix problems with unmounting shared folders on session suspension/
       termination. Remove extra parentheses from the fusermount execution
       call. (Fixes: #407).
     - Use type -p instead of which in x2goumount-session. Suppress output
       to stdout properly.
     - Use if--then--else--fi during x2goagent resuming in x2goresume-session
       script.
     - More reliably sync the NX session state with the status information in
       the X2Go session DB.
     - x2golistdesktops: Also detect sharable desktop sessions behind abstract
       kernel namespace sockets.
     - Add logcheck rules for X2Go Server. Thanks to Frank Werner for sending
       them in.
     - Correctly use diversions from stderr to stdout in shell commands.
       (Fixes: #520).
     - Don't die if no session state file is found, as it will break X2Go
       completely after upgrading from versions << 4.0.1.16 if sessions
       are still running/suspended during package upgrade.
     - Provide support for client-side choice of clipboard security. (Fixes:
       #524).
     - Use more quotes in x2goruncommand.
     - Detect the exit of rootless applications that forked to background on
       application execution. (Fixes: #122).
     - Make x2goruncommand more robust.
     - Don't fail Xsession startup if any of the profile scripts returns
       with an error.
     - Silently timeout in x2golistdesktops if calls to x2golistsessions and/or
       xwininfo don't produce output within one second. (Fixes: #543).
     - Allow email addresses as login usernames. (Fixes: #573).
     - Abort session startup if env var $USER or $SSH_CLIENT are not set.
       (Fixes: #558).
     - Allow length of username up to 48 characters (was: 32 characters). (Fixes:
       #574).
     - Abort session if env var $HOME is not set or if $HOME contains non-ASCII
       characters. (Fixes: #397).
     - Export XAUTHORITY env var in x2goruncommand to enable privilege upgrade
       for applications started via pkexec. (Fixes: #458).
     - x2gocleansessions: Don't print to stderr if the session state file cannot
       be found. This can happen during session startups. Report to system log
       instead.
     - Don't use Perl package File::ReadBackwards anymore.
     - Fix x2gormforward for 4.0.1.x release series (the X2Go::Log Perl module
       only exists in X2Go Server >= 4.1.0.0, the 4.0.1.x release series has to
       use x2gologlevel.pm in `x2gopath lib`. (Fixes: #617).
     - Pick x2gogetagentstate from 4.1.0.0 release series and adapt to usage
       with X2Go Server 4.0.1.x. (Fixes: #619).
   * debian/control, x2goserver.spec:
     + Update versioned D: x2goagent (>= 3.5.0.25). This assures that X2Go
       works with poly-instantiated /tmp directories.
     + Make sure x2gogetagentstate gets packaged in bin:package x2goserver.
     + Bump Standards: to 3.9.5. No changes needed.
     + Mark x2goserver-pyhoca bin:package as deprecated.
     + Drop D (x2goserver): libfile-readbackwards-perl.
   * x2goserver.spec:
     + Install {libdir}/x2go/x2gormforward into bin:package x2goserver.
     + Drop R (x2goserver): perl(File::ReadBackwards).
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.1.16):
     - x2gostartagent, x2golistsession, x2gosuspend-session and
       x2goresume-session getting agent state from ~/.x2go/C-$SID/state. This
       should help to avoid session damage. Remove nxcleanup. (Fixes: #302,
       #511).
     - Move session file to /tmp/.x2go-$USER. (Fixes: #523).
     - Fix x2gostartagent failures if kbd is not "auto". Remove comma at end of
       options file.
     - Set default value for clipboard to "both" in x2gostartagent and
       x2goresume-session.
     - Clean user SSHD process if connection between server and client lost.
       This should fix error "Global request tcpip-forward failed". (Fixes:
       #495, #547).
 .
   [ Orion Paplowski ]
   * x2goserver.spec:
     + Sync Fedora .spec file with our upstream-provided x2goserver.spec.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 25 Sep 2014 22:45:35 GMT) (full text, mbox, link).


Notification sent to Wim De Smet <kromagg@gmail.com>:
Bug acknowledged by developer. (Thu, 25 Sep 2014 22:45:35 GMT) (full text, mbox, link).


Message sent on to Wim De Smet <kromagg@gmail.com>:
Bug#511. (Thu, 25 Sep 2014 22:45:55 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 24 Oct 2014 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Dec 5 22:53:54 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.